> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Connect Onboarding

> Create Stripe Connect account and return onboarding URL.



## OpenAPI

````yaml /openapi.json post /v1/sellers/connect
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/sellers/connect:
    post:
      tags:
        - sellers
      summary: Initiate Connect Onboarding
      description: Create Stripe Connect account and return onboarding URL.
      operationId: initiate_connect_onboarding_v1_sellers_connect_post
      parameters:
        - name: country
          in: query
          required: false
          schema:
            type: string
            description: ISO 3166-1 alpha-2 country code
            default: US
            title: Country
          description: ISO 3166-1 alpha-2 country code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectOnboardingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    ConnectOnboardingResponse:
      properties:
        status:
          type: string
          title: Status
        connect_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Connect Id
        onboarding_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Onboarding Url
        charges_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Charges Enabled
        payouts_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Payouts Enabled
      type: object
      required:
        - status
      title: ConnectOnboardingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````